package org.springblade.estate.feign;

import org.springblade.core.mp.support.BladePage;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.AccessRecordCountDto;
import org.springblade.estate.dto.AccessRecordDTO;
import org.springblade.estate.entity.AccessRecord;
import org.springblade.estate.vo.AccessRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class AccessRecordClientFallback implements IAccessRecordClient {
            /**
         * 详情
         */
        @Override
        public AccessRecordVO detail(AccessRecord accessRecord) {
            return null;
        }

	@Override
	public BladePage page(AccessRecordDTO accessRecordDTO) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<AccessRecordVO> list(AccessRecord accessRecord) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( AccessRecord accessRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( AccessRecord accessRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( AccessRecord accessRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public int count(AccessRecordVO accessRecord) {
		return 0;
	}

	@Override
	public AccessRecordCountDto getAccessCount() {
		return null;
	}

	@Override
	public R generateAccessRecord(AccessRecordDTO accessRecord) {
		return null;
	}

}
